using PARR.Core.Repositories.Interfaces;
using PARR.DAL.Context;
using PARR.Domain.Entities;

namespace PARR.DAL.Repositories
{
    internal class TemplateStatusTypeRepository : ITemplateStatusTypeRepository
    {
        private readonly DataContext dataContext;

        public TemplateStatusTypeRepository(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }


        public IQueryable<TemplateStatusType> Get()
        {
            return dataContext.TemplateStatusTypes;
        }
    }
}
